{{
********************************************
* Prop-BIOS FullDuplexSerial client services
********************************************
}}

OBJ
  bc: "BIOS_Interface"

PUB restart(mode, baudrate) : okay
  bc.set(bc#ARG3, mode)
  bc.set(bc#ARG4, baudrate)
  result := bc.run(bc#BIOS_FDSERIAL_MODEBAUD)

PUB rxflush
  bc.run(bc#BIOS_FDSERIAL_RXFLUSH)

PUB rxcheck : rxbyte
  result := bc.run(bc#BIOS_FDSERIAL_RXCHECK)

PUB rxtime(ms) : rxbyte
  bc.set(bc#ARG1, ms)
  result := bc.run(bc#BIOS_FDSERIAL_RXTIME)

PUB rx : rxbyte
  result := bc.run(bc#BIOS_FDSERIAL_RX)

PUB tx(txbyte)
  bc.set(bc#ARG1, txbyte)
  bc.run(bc#BIOS_FDSERIAL_TX)

PUB str(stringptr)
  bc.set(bc#ARG1, stringptr)
  bc.run(bc#BIOS_FDSERIAL_STR)

{
PUB dec(value)
  bc.set(bc#ARG1, value)
  bc.run(bc#BIOS_FDSERIAL_DEC)

PUB hex(value, digits)
  bc.set(bc#ARG1,value)
  bc.set(bc#ARG2,digits)
  bc.run(bc#BIOS_FDSERIAL_HEX)

PUB bin(value, digits)
  bc.set(bc#ARG1,value)
  bc.set(bc#ARG2,digits)
  bc.run(bc#BIOS_FDSERIAL_BIN)
} 