{{
*************************************
* Prop-BIOS Keyboard client services
*************************************
}}

OBJ
  bc: "BIOS_Interface"


PUB startx(dpin, cpin, locks, auto) : okay
  bc.set(bc#ARG1,dpin)
  bc.set(bc#ARG2,cpin)
  bc.set(bc#ARG3,locks)
  bc.set(bc#ARG4,auto)
  result := bc.run(bc#BIOS_KEYBOARD_STARTX)

PUB present : truefalse
  result := bc.run(bc#BIOS_KEYBOARD_PRESENT)

PUB key : keycode
  result := bc.run(bc#BIOS_KEYBOARD_KEY)

PUB getkey : keycode
  result := bc.run(bc#BIOS_KEYBOARD_GETKEY)

PUB newkey : keycode
  result := bc.run(bc#BIOS_KEYBOARD_NEWKEY)

PUB gotkey : truefalse
  result := bc.run(bc#BIOS_KEYBOARD_GOTKEY)

PUB clearkeys
  bc.run(bc#BIOS_KEYBOARD_CLEARKEYS)

PUB keystate(k) : state
  bc.set(bc#ARG1,k)
  result := bc.run(bc#BIOS_KEYBOARD_KEYSTATE)
 