{{
*************************************
* Prop-BIOS Mouse client services
*************************************
}}

OBJ
  bc: "BIOS_Interface"

PUB present : type
  result := bc.run(bc#BIOS_MOUSE_PRESENT)

PUB button(b) : state
  result := bc.run(bc#BIOS_MOUSE_BUTTON)
  
PUB buttons : states
  result := bc.run(bc#BIOS_MOUSE_BUTTONS)
  
PUB abs_x : x
  result := bc.run(bc#BIOS_MOUSE_ABS_X)
  
PUB abs_y : y
  result := bc.run(bc#BIOS_MOUSE_ABS_Y)
  
PUB abs_z : z
  result := bc.run(bc#BIOS_MOUSE_ABS_Z)
  
PUB delta_reset
  result := bc.run(bc#BIOS_MOUSE_DELTA_RESET)
  
PUB delta_x : x
  result := bc.run(bc#BIOS_MOUSE_DELTA_X)
  
PUB delta_y : y
  result := bc.run(bc#BIOS_MOUSE_DELTA_Y)
  
PUB delta_z : z
  result := bc.run(bc#BIOS_MOUSE_DELTA_Z)
  
PUB bound_limits(xmin, ymin, zmin, xmax, ymax, zmax)
  bc.set(bc#ARG1,xmin)
  bc.set(bc#ARG2,ymin)
  bc.set(bc#ARG3,zmin)
  bc.set(bc#ARG4,xmax)
  bc.set(bc#ARG5,ymax)
  bc.set(bc#ARG6,zmax)
  result := bc.run(bc#BIOS_MOUSE_BOUND_LIMITS)


PUB bound_scales(x_scale, y_scale, z_scale)
  bc.set(bc#ARG1,x_scale)
  bc.set(bc#ARG2,y_scale)
  bc.set(bc#ARG3,z_scale)
  result := bc.run(bc#BIOS_MOUSE_BOUND_SCALES)

PUB bound_preset(x, y, z)
  bc.set(bc#ARG1,x)
  bc.set(bc#ARG2,y)
  bc.set(bc#ARG3,z)
  result := bc.run(bc#BIOS_MOUSE_BOUND_PRESET)

PUB bound_x : x
  result := bc.run(bc#BIOS_MOUSE_BOUND_X)
  
PUB bound_y : y
  result := bc.run(bc#BIOS_MOUSE_BOUND_Y)
  
PUB bound_z : z
  result := bc.run(bc#BIOS_MOUSE_BOUND_Z)

 