{{
***************************************
* Prop-BIOS SDCARD fsrw client services
***************************************
}}

OBJ
  bc: "BIOS_Interface"

PUB mount ' mount can throw an exception, so best to call with \abort syntax
  'bc.set(bc#ARG1,basepin) ' bios uses predefined basepin
  result := bc.run(bc#BIOS_SDCARD_MOUNT)

PUB pflush : rc
  result := bc.run(bc#BIOS_SDCARD_PFLUSH)
  
PUB pclose : rc
  result := bc.run(bc#BIOS_SDCARD_PCLOSE)

PUB popen(s, mode) : rc
  bc.set(bc#ARG1,s)
  bc.set(bc#ARG2,mode)
  result := bc.run(bc#BIOS_SDCARD_POPEN)

PUB pread(ubuf, count) : rc
  bc.set(bc#ARG1,ubuf)
  bc.set(bc#ARG2,count)
  result := bc.run(bc#BIOS_SDCARD_PREAD)

PUB pgetc : rc
  result := bc.run(bc#BIOS_SDCARD_PGETC)

PUB pwrite(ubuf, count) : rc
  bc.set(bc#ARG1,ubuf)
  bc.set(bc#ARG2,count)
  result := bc.run(bc#BIOS_SDCARD_PWRITE)

PUB pputc(c) : rc
  bc.set(bc#ARG1,c)
  result := bc.run(bc#BIOS_SDCARD_PPUTC)

PUB opendir
  result := bc.run(bc#BIOS_SDCARD_OPENDIR)

PUB nextfile(fbuf) : rc
  bc.set(bc#ARG1,fbuf)
  result := bc.run(bc#BIOS_SDCARD_NEXTFILE)